Skip to main content
GET
List of Authenticated Users

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[id]
string
filter[provider_id]
string
filter[name]
string
filter[handle]
string
filter[email]
string
filter[ui_mode]
string
filter[ui_color]
string
filter[state]
string
filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[expires_before]
string
filter[expires_after]
string
filter[expired_before]
string
filter[expired_after]
string
filter[deactivated_before]
string
filter[deactivated_after]
string
filter[deleted_before]
string
filter[deleted_after]
string
filter[last_authenticated_before]
string
filter[last_authenticated_after]
string
filter[last_activity_before]
string
filter[last_activity_after]
string
filter[trashed]
string

Can be a value of with (response will contain deleted items as well), only (will contain only deleted items), or any arbitrary value (will contain only not deleted items).

sort
enum<string>[]
Available options:
id,
-id,
provider_id,
-provider_id,
name,
-name,
handle,
-handle,
email,
-email,
ui_mode,
-ui_mode,
ui_color,
-ui_color,
created_at,
-created_at,
updated_at,
-updated_at,
last_authenticated_at,
-last_authenticated_at,
last_activity_at,
-last_activity_at,
deleted_at,
-deleted_at,
state,
-state,
-id,
--id,
-provider_id,
--provider_id,
-name,
--name,
-handle,
--handle,
-email,
--email,
-ui_mode,
--ui_mode,
-ui_color,
--ui_color,
-created_at,
--created_at,
-updated_at,
--updated_at,
-last_authenticated_at,
--last_authenticated_at,
-last_activity_at,
--last_activity_at,
-deleted_at,
--deleted_at,
-state,
--state
include
enum<string>[]
Available options:
devices,
devices-count,
devices-exists,
roles,
roles-count,
roles-exists
filter
string
page
string

Response

The collection of WorkspaceUserDetailedResponseData

id
string
required
Example:

"wsusr_01hq8xyzabc123def456ghi789"

state
enum<string>
required
Available options:
staged,
active,
expiring,
expired,
deactivated
provider
enum<string>
required
Available options:
google,
federation,
okta
provider_id
string | null
required

The ID of the user from the IdP SSO Response

name
string
required

The first and last name of the user from the IdP SSO Response

handle
string
required

The username of the user. Unless overridden, this is usually the email address handle

email
string
required

The email address of the user

ui_mode
string | null
required

Provisionr has UI color accessibility features that allows each user to choose light or dark mode

ui_color
string | null
required

Provisionr has UI color accessibility features that allows each user to choose any color theme that they prefer and light or dark mode for the application UI. The sign in page and the default color theme for users is usually based on your company branding or logo color.

You can see all of the colors in the Tailwind CSS docs: https://tailwindcss.com/docs/colors

timestamp
object
required

The timestamps for the workspace user record

Example:
count
object
required

Count of related records

included
string[]
required
Minimum array length: 1

API hyperlinks related to the workspace user record